<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer libav 1.0 Plugins Reference Manual: gstavcodecmap</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer libav 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-libav Base and Support classes">
<link rel="prev" href="gst-libav-plugins-gstavcfg.html" title="gstavcfg">
<link rel="next" href="gst-libav-plugins-gstavprotocol.html" title="gstavprotocol">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-libav-plugins-gstavcodecmap.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-libav-plugins-gstavcodecmap.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-libav-plugins-gstavcfg.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-libav-plugins-gstavprotocol.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-libav-plugins-gstavcodecmap"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-libav-plugins-gstavcodecmap.top_of_page"></a>gstavcodecmap</span></h2>
<p>gstavcodecmap</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavcodecmap.functions"></a><h2>Functions</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/gstreamer-GstCaps.html#GstCaps"><span class="returnvalue">GstCaps</span></a> *
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-codecid-to-caps" title="gst_ffmpeg_codecid_to_caps ()">gst_ffmpeg_codecid_to_caps</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/gstreamer-GstCaps.html#GstCaps"><span class="returnvalue">GstCaps</span></a> *
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-codectype-to-audio-caps" title="gst_ffmpeg_codectype_to_audio_caps ()">gst_ffmpeg_codectype_to_audio_caps</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/gstreamer-GstCaps.html#GstCaps"><span class="returnvalue">GstCaps</span></a> *
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-codectype-to-video-caps" title="gst_ffmpeg_codectype_to_video_caps ()">gst_ffmpeg_codectype_to_video_caps</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">enum <span class="returnvalue">AVCodecID</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-caps-to-codecid" title="gst_ffmpeg_caps_to_codecid ()">gst_ffmpeg_caps_to_codecid</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-caps-with-codecid" title="gst_ffmpeg_caps_with_codecid ()">gst_ffmpeg_caps_with_codecid</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-caps-with-codectype" title="gst_ffmpeg_caps_with_codectype ()">gst_ffmpeg_caps_with_codectype</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-videoinfo-to-context" title="gst_ffmpeg_videoinfo_to_context ()">gst_ffmpeg_videoinfo_to_context</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-audioinfo-to-context" title="gst_ffmpeg_audioinfo_to_context ()">gst_ffmpeg_audioinfo_to_context</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/gst-plugins-base-libs-gstvideo.html#GstVideoFormat"><span class="returnvalue">GstVideoFormat</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-pixfmt-to-videoformat" title="gst_ffmpeg_pixfmt_to_videoformat ()">gst_ffmpeg_pixfmt_to_videoformat</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">enum <span class="returnvalue">PixelFormat</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-videoformat-to-pixfmt" title="gst_ffmpeg_videoformat_to_pixfmt ()">gst_ffmpeg_videoformat_to_pixfmt</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/gst-plugins-base-libs-gstaudio.html#GstAudioFormat"><span class="returnvalue">GstAudioFormat</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-smpfmt-to-audioformat" title="gst_ffmpeg_smpfmt_to_audioformat ()">gst_ffmpeg_smpfmt_to_audioformat</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/gstreamer-GstCaps.html#GstCaps"><span class="returnvalue">GstCaps</span></a> *
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-formatid-to-caps" title="gst_ffmpeg_formatid_to_caps ()">gst_ffmpeg_formatid_to_caps</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-formatid-get-codecids" title="gst_ffmpeg_formatid_get_codecids ()">gst_ffmpeg_formatid_get_codecids</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavcodecmap.html#gst-ffmpeg-channel-layout-to-gst" title="gst_ffmpeg_channel_layout_to_gst ()">gst_ffmpeg_channel_layout_to_gst</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavcodecmap.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody>
<tr>
<td class="datatype_keyword">enum</td>
<td class="function_name"><a class="link" href="gst-libav-plugins-gstavcodecmap.html#GstFFMpegCompliance" title="enum GstFFMpegCompliance">GstFFMpegCompliance</a></td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name"><a class="link" href="gst-libav-plugins-gstavcodecmap.html#FFMPEG-DEFAULT-COMPLIANCE:CAPS" title="FFMPEG_DEFAULT_COMPLIANCE">FFMPEG_DEFAULT_COMPLIANCE</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavcodecmap.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">
</pre>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavcodecmap.description"></a><h2>Description</h2>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavcodecmap.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gst-ffmpeg-codecid-to-caps"></a><h3>gst_ffmpeg_codecid_to_caps ()</h3>
<pre class="programlisting"><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/gstreamer-GstCaps.html#GstCaps"><span class="returnvalue">GstCaps</span></a> *
gst_ffmpeg_codecid_to_caps (<em class="parameter"><code><span class="type">enum AVCodecID</span> codec_id</code></em>,
                            <em class="parameter"><code><span class="type">AVCodecContext</span> *context</code></em>,
                            <em class="parameter"><code><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> encode</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.6.7.2.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-codectype-to-audio-caps"></a><h3>gst_ffmpeg_codectype_to_audio_caps ()</h3>
<pre class="programlisting"><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/gstreamer-GstCaps.html#GstCaps"><span class="returnvalue">GstCaps</span></a> *
gst_ffmpeg_codectype_to_audio_caps (<em class="parameter"><code><span class="type">AVCodecContext</span> *context</code></em>,
                                    <em class="parameter"><code><span class="type">enum AVCodecID</span> codec_id</code></em>,
                                    <em class="parameter"><code><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> encode</code></em>,
                                    <em class="parameter"><code><span class="type">AVCodec</span> *codec</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.6.7.3.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-codectype-to-video-caps"></a><h3>gst_ffmpeg_codectype_to_video_caps ()</h3>
<pre class="programlisting"><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/gstreamer-GstCaps.html#GstCaps"><span class="returnvalue">GstCaps</span></a> *
gst_ffmpeg_codectype_to_video_caps (<em class="parameter"><code><span class="type">AVCodecContext</span> *context</code></em>,
                                    <em class="parameter"><code><span class="type">enum AVCodecID</span> codec_id</code></em>,
                                    <em class="parameter"><code><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> encode</code></em>,
                                    <em class="parameter"><code><span class="type">AVCodec</span> *codec</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.6.7.4.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-caps-to-codecid"></a><h3>gst_ffmpeg_caps_to_codecid ()</h3>
<pre class="programlisting">enum <span class="returnvalue">AVCodecID</span>
gst_ffmpeg_caps_to_codecid (<em class="parameter"><code>const <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/gstreamer-GstCaps.html#GstCaps"><span class="type">GstCaps</span></a> *caps</code></em>,
                            <em class="parameter"><code><span class="type">AVCodecContext</span> *context</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.6.7.5.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-caps-with-codecid"></a><h3>gst_ffmpeg_caps_with_codecid ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gst_ffmpeg_caps_with_codecid (<em class="parameter"><code><span class="type">enum AVCodecID</span> codec_id</code></em>,
                              <em class="parameter"><code><span class="type">enum AVMediaType</span> codec_type</code></em>,
                              <em class="parameter"><code>const <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/gstreamer-GstCaps.html#GstCaps"><span class="type">GstCaps</span></a> *caps</code></em>,
                              <em class="parameter"><code><span class="type">AVCodecContext</span> *context</code></em>);</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-caps-with-codectype"></a><h3>gst_ffmpeg_caps_with_codectype ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gst_ffmpeg_caps_with_codectype (<em class="parameter"><code><span class="type">enum AVMediaType</span> type</code></em>,
                                <em class="parameter"><code>const <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/gstreamer-GstCaps.html#GstCaps"><span class="type">GstCaps</span></a> *caps</code></em>,
                                <em class="parameter"><code><span class="type">AVCodecContext</span> *context</code></em>);</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-videoinfo-to-context"></a><h3>gst_ffmpeg_videoinfo_to_context ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gst_ffmpeg_videoinfo_to_context (<em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/gst-plugins-base-libs-gstvideo.html#GstVideoInfo"><span class="type">GstVideoInfo</span></a> *info</code></em>,
                                 <em class="parameter"><code><span class="type">AVCodecContext</span> *context</code></em>);</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-audioinfo-to-context"></a><h3>gst_ffmpeg_audioinfo_to_context ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gst_ffmpeg_audioinfo_to_context (<em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/gst-plugins-base-libs-gstaudio.html#GstAudioInfo"><span class="type">GstAudioInfo</span></a> *info</code></em>,
                                 <em class="parameter"><code><span class="type">AVCodecContext</span> *context</code></em>);</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-pixfmt-to-videoformat"></a><h3>gst_ffmpeg_pixfmt_to_videoformat ()</h3>
<pre class="programlisting"><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/gst-plugins-base-libs-gstvideo.html#GstVideoFormat"><span class="returnvalue">GstVideoFormat</span></a>
gst_ffmpeg_pixfmt_to_videoformat (<em class="parameter"><code><span class="type">enum PixelFormat</span> pixfmt</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.6.7.10.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-videoformat-to-pixfmt"></a><h3>gst_ffmpeg_videoformat_to_pixfmt ()</h3>
<pre class="programlisting">enum <span class="returnvalue">PixelFormat</span>
gst_ffmpeg_videoformat_to_pixfmt (<em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/gst-plugins-base-libs-gstvideo.html#GstVideoFormat"><span class="type">GstVideoFormat</span></a> format</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.6.7.11.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-smpfmt-to-audioformat"></a><h3>gst_ffmpeg_smpfmt_to_audioformat ()</h3>
<pre class="programlisting"><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/gst-plugins-base-libs-gstaudio.html#GstAudioFormat"><span class="returnvalue">GstAudioFormat</span></a>
gst_ffmpeg_smpfmt_to_audioformat (<em class="parameter"><code><span class="type">enum AVSampleFormat</span> sample_fmt</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.6.7.12.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-formatid-to-caps"></a><h3>gst_ffmpeg_formatid_to_caps ()</h3>
<pre class="programlisting"><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/gstreamer-GstCaps.html#GstCaps"><span class="returnvalue">GstCaps</span></a> *
gst_ffmpeg_formatid_to_caps (<em class="parameter"><code>const <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *format_name</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.6.7.13.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-formatid-get-codecids"></a><h3>gst_ffmpeg_formatid_get_codecids ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_ffmpeg_formatid_get_codecids (<em class="parameter"><code>const <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *format_name</code></em>,
                                  <em class="parameter"><code><span class="type">enum AVCodecID</span> **video_codec_list</code></em>,
                                  <em class="parameter"><code><span class="type">enum AVCodecID</span> **audio_codec_list</code></em>,
                                  <em class="parameter"><code><span class="type">AVOutputFormat</span> *plugin</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.6.7.14.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-channel-layout-to-gst"></a><h3>gst_ffmpeg_channel_layout_to_gst ()</h3>
<pre class="programlisting"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gst_ffmpeg_channel_layout_to_gst (<em class="parameter"><code><span class="type">guint64</span> channel_layout</code></em>,
                                  <em class="parameter"><code><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gint"><span class="type">gint</span></a> channels</code></em>,
                                  <em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/gst-plugins-base-libs-gstaudiochannels.html#GstAudioChannelPosition"><span class="type">GstAudioChannelPosition</span></a> *pos</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.6.7.15.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavcodecmap.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstFFMpegCompliance"></a><h3>enum GstFFMpegCompliance</h3>
<p>This setting instructs libav on how strictly it should follow the
associated standard.</p>
<p>From avcodec.h:
Setting this to STRICT or higher means the encoder and decoder will
generally do stupid things, whereas setting it to unofficial or lower
will mean the encoder might produce output that is not supported by all
spec-compliant decoders. Decoders don't differentiate between normal,
unofficial and experimental (that is, they always try to decode things
when they can) unless they are explicitly asked to behave stupidly
(=strictly conform to the specs)</p>
<div class="refsect3">
<a name="id-1.2.6.8.2.5"></a><h4>Members</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="300px" class="enum_members_name">
<col class="enum_members_description">
<col width="200px" class="enum_members_annotations">
</colgroup>
<tbody>
<tr>
<td class="enum_member_name"><p><a name="GST-FFMPEG-VERY-STRICT:CAPS"></a>GST_FFMPEG_VERY_STRICT</p></td>
<td class="enum_member_description">
<p>Strictly conform to an older
more strict version of the spec or reference software</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-FFMPEG-STRICT:CAPS"></a>GST_FFMPEG_STRICT</p></td>
<td class="enum_member_description">
<p>Strictly conform to all the things
in the spec no matter what consequences.</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-FFMPEG-NORMAL:CAPS"></a>GST_FFMPEG_NORMAL</p></td>
<td class="enum_member_description"> </td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-FFMPEG-UNOFFICIAL:CAPS"></a>GST_FFMPEG_UNOFFICIAL</p></td>
<td class="enum_member_description">
<p>Allow unofficial extensions</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GST-FFMPEG-EXPERIMENTAL:CAPS"></a>GST_FFMPEG_EXPERIMENTAL</p></td>
<td class="enum_member_description">
<p>Allow nonstandardized
experimental things.</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="FFMPEG-DEFAULT-COMPLIANCE:CAPS"></a><h3>FFMPEG_DEFAULT_COMPLIANCE</h3>
<pre class="programlisting">#define FFMPEG_DEFAULT_COMPLIANCE GST_FFMPEG_NORMAL
</pre>
<p>
</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>